> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getBundleStatuses

> 送信されたJitoバンドルのステータスを確認します。確認のステータス、スロット、およびトランザクション署名を返します。

送信されたバンドルのステータスを返します。バンドルが着陸していないか、見つからない場合は、`null`を返します。

## エンドポイント

```
POST https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY
```

## リクエスト

<ParamField body="jsonrpc" type="string" required>
  `"2.0"`
</ParamField>

<ParamField body="id" type="number" required>
  リクエスト識別子。
</ParamField>

<ParamField body="method" type="string" required>
  `"getBundleStatuses"`
</ParamField>

<ParamField body="params[0]" type="array[string]" required>
  チェックするバンドルIDの最大5つの配列。
</ParamField>

## リクエスト例

```bash theme={"system"}
curl "https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY" \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getBundleStatuses",
    "params": [
      [
        "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d"
      ]
    ]
  }'
```

## レスポンス

<ResponseField name="result.context.slot" type="number">
  リクエストが処理されたスロット。
</ResponseField>

<ResponseField name="result.value" type="array">
  バンドルステータスオブジェクトの配列。見つからないバンドルには`null`。
</ResponseField>

<ResponseField name="result.value[].bundle_id" type="string">
  バンドルID。
</ResponseField>

<ResponseField name="result.value[].transactions" type="array[string]">
  バンドル内のBase-58エンコードされたトランザクション署名。
</ResponseField>

<ResponseField name="result.value[].slot" type="number">
  バンドルが処理されたスロット。
</ResponseField>

<ResponseField name="result.value[].confirmation_status" type="string">
  `"processed"`, `"confirmed"`, または`"finalized"`。
</ResponseField>

<ResponseField name="result.value[].err" type="object">
  エラー情報がある場合。
</ResponseField>

```json theme={"system"}
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "slot": 242806119
    },
    "value": [
      {
        "bundle_id": "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d",
        "transactions": [
          "3bC2M9fiACSjkTXZDgeNAuQ4ScTsdKGwR42ytFdhUvikqTmBheUxfsR1fDVsM5ADCMMspuwGkdm1uKbU246x5aE3",
          "8t9hKYEYNbLvNqiSzP96S13XF1C2f1ro271Kdf7bkZ6EpjPLuDff1ywRy4gfaGSTubsM2FeYGDoT64ZwPm1cQUt"
        ],
        "slot": 242804011,
        "confirmation_status": "finalized",
        "err": {
          "Ok": null
        }
      }
    ]
  },
  "id": 1
}
```

## 関連項目

* [sendBundle](/ja/api-reference/sender/sendbundle) — バンドルを送信
* [Jito Bundles via Helius](/ja/sending-transactions/send-bundle) — 完全ガイド
